#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    double u,maks=0,temp=0;
    double a[1000000] ={0};
    double p[1000000] ={0};
    for(int i=0; i<n; i++)
        cin>>a[i]>>p[i];
    for(double i=0; i<=100; i=i+0.01){
        for(int y=0; y<n; y++){
            if(p[y]<=i){
                temp=temp+a[y]*i;
                if(temp>maks){
                    maks=temp;
                }
            else{
                temp=temp-a[y]*i;
            }
            }
        }
    }
    cout<<maks;
}